abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×

dnes 01:44 | Zajímavý projekt

Kampaň na podporu chytrého telefonu Librem 5, jenž by měl respektovat bezpečnost, svobodu a soukromí uživatelů, úspěšně skončila. Bylo vybráno více než 2,1 milionu dolarů, tj. cíl kampaně byl splněn na více než 141 %. Objednáno bylo cca 3 000 telefonů. Telefon Librem 5 by měl být k dispozici v lednu 2019.

Ladislav Hagara | Komentářů: 1
včera 21:11 | Komunita

Ke zhlédnutí jsou videozáznamy přednášek z konferencí All Systems Go! (media.ccc.de) a GStreamer Conference 2017 (ubicast.tv) konaných o víkendu 21. a 22. října. All Systems Go! v Berlíně a GStreamer Conference 2017 v Praze.

Ladislav Hagara | Komentářů: 0
včera 20:33 | Komunita

MojeFedora.cz informuje (en), že Fedora 27 přináší snadný přístup k Red Hat Enteprise Linuxu. Virtualizační nástroj Boxy nyní umožňuje jednoduše stáhnout a nainstalovat Red Hat Enterprise Linux, který je pro vývojáře zdarma. Vytvořit lze neomezené množství virtuálních mašin s RHEL.

Ladislav Hagara | Komentářů: 1
včera 19:00 | Komunita

Konsorcium Linux Foundation oficiálně představilo licence pro komunitní otevřená data Community Data License Agreement (CDLA). První licence je copyleftová CDLA-Sharing a druhá permisivní CDLA-Permissive. Odpovědi na často kladené otázky ve FAQ.

Ladislav Hagara | Komentářů: 0
včera 13:55 | Pozvánky

Spolek OpenAlt zve příznivce otevřených technologií a otevřeného přístupu na 145. pražský sraz, který proběhne ve čtvrtek 26. října od 18:00 hodin v karlínském Pivovarském klubu. Najdete jej kousek od metra Florenc na adrese Křižíkova 17, Praha 8. Jedná se o poslední sraz před konferencí OpenAlt 2017, jež proběhne o víkendu 4. a 5. listopadu 2017 na FIT VUT v Brně. Běží registrace účastníků.

Ladislav Hagara | Komentářů: 0
včera 06:00 | Zajímavý software

Byla vydána verze 0.56 open source platformy Home Assistant (GitHub) pro monitorování a řízení inteligentní domácnosti naprogramované v programovacím jazyce Python verze 3 a bežící také například na Raspberry Pi. Pro vyzkoušení je k dispozici demo [reddit].

Ladislav Hagara | Komentářů: 0
22.10. 16:55 | Nová verze

Byla vydána verze 1.0 klienta F-Droid určeného pro instalaci aplikací do Androidu ze softwarového repozitáře F-Droid (Wikipedie), alternativy k Google Play, nabízející pouze svobodný a otevřený software. Podrobnosti v přehledu změn [Hacker News].

Ladislav Hagara | Komentářů: 7
22.10. 00:55 | Nová verze

Po téměř 13 měsících vývoje od verze 0.11.0 byla vydána verze 0.12.0 hardwarově nenáročného desktopového prostředí LXQt (Lightweight Qt Desktop Environment, Wikipedie) vzniklého sloučením projektů Razor-qt a LXDE. Přehled novinek v příspěvku na blogu.

Ladislav Hagara | Komentářů: 10
21.10. 12:33 | Zajímavý software

Článek ne Medium představuje nejnovější stabilní verzi 2.0 svobodné decentralizované mikroblogovací platformy a sociální sítě podobné Twitteru Mastodon (Wikipedie). Detailní přehled novinek na GitHubu [Hacker News].

Ladislav Hagara | Komentářů: 0
21.10. 06:00 | Komunita

V Praze na půdě Elektrotechnické fakulty ČVUT dnes probíhá RT-Summit 2017 – setkání vývojářů linuxového jádra a uživatelů jeho real-time verze označované jako preempt-rt. Přednášky lze sledovat online na YouTube.

Ladislav Hagara | Komentářů: 0
Jak se vás potenciálně dotkne trend odstraňování analogového audio konektoru typu 3,5mm jack z „chytrých telefonů“?
 (10%)
 (1%)
 (0%)
 (1%)
 (76%)
 (12%)
Celkem 241 hlasů
 Komentářů: 8, poslední 22.10. 23:02
    Rozcestník

    Dotaz: Jak zabít su command ve skriptu a získat exit code vnitřku

    22.5. 12:57 v
    Jak zabít su command ve skriptu a získat exit code vnitřku
    Přečteno: 339×
    Ahoj, ve skriptu mujskript.sh mám následující:
    exec su -c "nejakycommand"
    
    Pokud zabiju mujskript.sh, tak su vypíše "Session terminated, terminating shell...killed" a vždy se mi vrátí exit code 1, ačkoliv nejakycommand vrací 0. Jak zajistit, aby se vracel skutečný exit code commandu v su?

    Řešení dotazu:


    Odpovědi

    22.5. 13:03 helb
    Rozbalit Rozbalit vše Re: Jak zabít su command ve skriptu a získat exit code vnitřku
    Neslo by z toho su proste „rucne“ vratit kod posledniho prikazu (promenna $?)?
    su -c "nejakycommand; exit $?"
    Řešení 1× (Andrej)
    22.5. 13:37 v
    Rozbalit Rozbalit vše Re: Jak zabít su command ve skriptu a získat exit code vnitřku
    Příkaz nejakycommand běží na pozadí a při terminování vrací exit 0, nicméně su vrátí exit 1. Pokud by se vnitřek su ukončil (uvnitř by neběželo nic trvale), tak to je také ok, problém je démon spuštěný přes su. Nějak to jde ošéfovat pokud nepoužiju exec a signal předám manuálně přes:
    trap 'kill -TERM $PID1; wait $PID1; exit $A' TERM INT
    
    su -c "nejakyprikaz"
    A=$?
    PID1=$!
    
    ale to mi přijde jako pěkná prasárna.
    24.5. 16:22 Andrej | skóre: 44 | blog: Republic of Mordor | Zürich
    Rozbalit Rozbalit vše Re: Jak zabít su command ve skriptu a získat exit code vnitřku

    Nijak, protože exec zajistí, že adresní prostor původního shellu se nahradí tím nějakým commandem, tedy jinými slovy že nějaký command se stane přesně tím procesem, kterým byl původně shell.

    Řešením je nepoužívat exec a místo toho ve skriptu spouštět nějaký command běžným způsobem, tedy aby se shell forknul a počkal na výsledek nějakého commandu. Pak se dá s tím výsledkem dál pracovat, jak už někdo psal výše.

    ǑǦŹǓǕǙǞǺǨȞȬḔḦḰḾṊṎṸẄẌỖ
    24.5. 22:30 v
    Rozbalit Rozbalit vše Re: Jak zabít su command ve skriptu a získat exit code vnitřku
    Ano a jak jsem zjistil také nahradit su za sudo, su vrací exit code + číslo trap signalu, sudo vrací jen exit code.

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.